All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Class LinkPropertiesInterfaceSupport

    com.sas.LinkPropertiesInterfaceSupport

    public class LinkPropertiesInterfaceSupport

The LinkPropertiesInterfaceSupport provides a default implementation of the LinkPropertiesInterface.

Constructor Summary
`LinkPropertiesInterfaceSupport()`

Method Summary
`static void` | `addLink(ComponentInterface componentInstance, java.lang.String property, ComponentInterface sourceComponent, java.lang.String sourceProperty)`
`static boolean` | `isLinked(ComponentInterface componentInstance, java.lang.String property, ComponentInterface sourceComponent, java.lang.String sourceProperty)`
`static PropertyLinkInfo[]` | `queryLinks(ComponentInterface componentInstance)`
`static PropertyLinkInfo[]` | `queryLinks(ComponentInterface componentInstance, java.lang.String property)`
`static void` | `removeAllLinks(ComponentInterface componentInstance)`
`static void` | `removeLink(ComponentInterface componentInstance, java.lang.String property, ComponentInterface sourceComponent, java.lang.String sourceProperty)`

Constructor Detail

### LinkPropertiesInterfaceSupport

    public LinkPropertiesInterfaceSupport()

Method Detail

### addLink

    public static void addLink(ComponentInterface componentInstance,
                               java.lang.String property,
                               ComponentInterface sourceComponent,
                               java.lang.String sourceProperty)

  See Also:
    `LinkPropertiesInterface.addLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

### removeLink

    public static void removeLink(ComponentInterface componentInstance,
                                  java.lang.String property,
                                  ComponentInterface sourceComponent,
                                  java.lang.String sourceProperty)

  See Also:
    `LinkPropertiesInterface.removeLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

### removeAllLinks

    public static void removeAllLinks(ComponentInterface componentInstance)

  See Also:
    `LinkPropertiesInterface.removeAllLinks()`

### queryLinks

    public static PropertyLinkInfo[] queryLinks(ComponentInterface componentInstance,
                                                java.lang.String property)

  See Also:
    `LinkPropertiesInterface.queryLinks(java.lang.String)`

### queryLinks

    public static PropertyLinkInfo[] queryLinks(ComponentInterface componentInstance)

  See Also:
    `LinkPropertiesInterface.queryLinks(java.lang.String)`

### isLinked

    public static boolean isLinked(ComponentInterface componentInstance,
                                   java.lang.String property,
                                   ComponentInterface sourceComponent,
                                   java.lang.String sourceProperty)

  See Also:
    `LinkPropertiesInterface.isLinked(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.